.cf:after {
  content: "";
  display: table;
  clear: both;
}

.show-me {
  -webkit-transition: -webkit-transform 0.3s ease-in-out;
  transition: -webkit-transform 0.3s ease-in-out;
  transition: transform 0.3s ease-in-out;
  transition: transform 0.3s ease-in-out, -webkit-transform 0.3s ease-in-out;
  -webkit-transform: translate3d(-300px, 0, 0);
          transform: translate3d(-300px, 0, 0);
}

.button {
  position: fixed;
  bottom: 20px;
  right: 20px;
  font-family: "Lato";
  -webkit-appearance: none;
  font-size: 1rem;
  line-height: 1.2;
  border-radius: 3px;
  border: 3px solid #343436;
  background: #343436;
  color: white;
  cursor: pointer;
  white-space: nowrap;
  text-overflow: ellipsis;
  text-decoration: none !important;
  cursor: pointer;
  text-align: center;
  font-weight: normal;
  padding: 10px 16px;
  padding-left: 30px;
  outline: 0;
}
.button:before {
  position: absolute;
  top: 0;
  left: 10px;
  bottom: 0;
  margin: auto;
  width: 10px;
  height: 10px;
  background: #53DD6C;
  content: "";
  border-radius: 100px;
}
.button:hover {
  background: #4d4d50;
}
.button:active {
  bottom: 17px;
}

.chat {
  position: absolute;
  background: #28282B;
  top: 0;
  right: -300px;
  height: 100%;
  width: 300px;
}

.chat__human {
  display: block;
  width: 100%;
  padding: 10px 20px;
  color: white;
  -webkit-transition: 0.3s;
  transition: 0.3s;
  cursor: pointer;
}
.chat__human:nth-child(odd) {
  background: #232326;
}
.chat__human:hover {
  background: #0c0c0c;
}
.chat__human > * {
  display: inline-block;
  vertical-align: middle;
}

.chat__avatar {
  width: 40px;
  background: #fff;
  border-radius: 100px;
  margin-right: 20px;
}

.chat__users {
  text-transform: uppercase;
  font-size: 0.7rem;
  letter-spacing: 1px;
  font-weight: 100;
  color: #ccc;
  padding: 10px 20px;
  background: black;
}

.conversation {
  display: block;
  bottom: 0;
  width: 100%;
  background: transparent;
}

.conversation__wrap {
  max-height: 350px;
  min-height: 350px;
  overflow-y: auto;
  width: 100%;
}

.conversation__header {
  color: #ccc;
  padding: 15px 10px;
  background: #343436;
  border-top: 2px solid #FEDD31;
  margin-bottom: 10px;
  cursor: pointer;
}

.conversation__msg {
  padding: 5px 10px;
  color: white;
  list-style-type: none;
  font-size: 12px;
}
.conversation__msg span {
  background: white;
  color: black;
  display: table;
  padding: 10px 20px;
  border-radius: 10px;
  float: left;
}

.right {
  float: right !important;
  background: #0077f7 !important;
  color: white !important;
}

.input {
  bottom: 0;
  width: 100%;
  padding: 20px;
  border: 0;
  outline: 0;
  -webkit-transition: 0.3s;
  transition: 0.3s;
  color: #000;
}

.close-msg {
  float: right;
  font-size: 20px;
  margin-top: -4px;
}

ul, menu, dir {
    display: block;
    list-style-type: disc;
    -webkit-margin-before: 0 !important;
    -webkit-margin-after: 0 !important;
    -webkit-margin-start: 0 !important;
    -webkit-margin-end: 0 !important;
    -webkit-padding-start: 0 !important;
	padding-left: 0px;
}

.messages {
  -webkit-box-flex: 1;
  -webkit-flex: 1 1 auto;
      -ms-flex: 1 1 auto;
          flex: 1 1 auto;
  color: rgba(255, 255, 255, 0.5);
  overflow: hidden;
  position: relative;
  width: 100%;
  max-height: 100%;
  overflow-y: auto;
}
.messages .messages-content {
  position: absolute;
  top: 0;
  left: 0;
  height: 101%;
  width: 100%;
}
.messages .message {
  word-wrap: break-word;
  max-width: 90%;
  clear: both;
  float: left;
  padding: 6px 10px 7px;
  background: #ffffff;
  margin: 8px 10px;
  color: #3a3a3a;
  font-size: 15px;
  line-height: 1.4;
  position: relative;
  border-radius: 4px;
  box-shadow: 0px 2px 15px rgba(0, 0, 0, 0.41);
  font-weight: 500;
}
.messages .message .timestamp {
  position: absolute;
  bottom: -15px;
  font-size: 9px;
  color: rgba(0, 0, 0, 0.7);
}
.messages .message::before {
  content: '';
  position: absolute;
  bottom: -8px;
  border-top: 10px solid #fdfdfd;
  left: 10px;
  border-right: 10px solid transparent;
}
.messages .message .avatar {
  position: absolute;
  z-index: 1;
  bottom: -15px;
  left: -35px;
  border-radius: 30px;
  width: 30px;
  height: 30px;
  overflow: hidden;
  margin: 0;
  padding: 0;
  border: 2px solid rgba(2, 120, 247, 0.24);
  margin-left: 5px;
}
.messages .message .avatar img {
  width: 100%;
  height: auto;
}
.messages .message.message-personal {
  margin-right: 5px;
  float: right;
  color: #fff;
  text-align: right;
  background: #0077f7;
}
.messages .message.message-personal::before {
  left: auto;
  right: 0;
  border-right: none;
  border-left: 5px solid transparent;
  border-top: 4px solid #0077f7;
  bottom: -4px;
}
.messages .message:last-child {
  margin-bottom: 30px;
}
.messages .message.new {
  -webkit-transform: scale(0);
          transform: scale(0);
  -webkit-transform-origin: 0 0;
          transform-origin: 0 0;
  -webkit-animation: bounce 500ms linear both;
          animation: bounce 500ms linear both;
}
.messages .message.loading::before {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  content: '';
  display: block;
  width: 3px;
  height: 3px;
  border-radius: 50%;
  background: rgba(255, 255, 255, 0.5);
  z-index: 2;
  margin-top: 4px;
  -webkit-animation: ball 0.45s cubic-bezier(0, 0, 0.15, 1) alternate infinite;
          animation: ball 0.45s cubic-bezier(0, 0, 0.15, 1) alternate infinite;
  border: none;
  -webkit-animation-delay: .15s;
          animation-delay: .15s;
}
.messages .message.loading span {
  display: block;
  font-size: 0;
  width: 20px;
  height: 10px;
  position: relative;
}
.messages .message.loading span::before {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  content: '';
  display: block;
  width: 3px;
  height: 3px;
  border-radius: 50%;
  background: rgba(255, 255, 255, 0.5);
  z-index: 2;
  margin-top: 4px;
  -webkit-animation: ball 0.45s cubic-bezier(0, 0, 0.15, 1) alternate infinite;
          animation: ball 0.45s cubic-bezier(0, 0, 0.15, 1) alternate infinite;
  margin-left: -7px;
}
.messages .message.loading span::after {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  content: '';
  display: block;
  width: 3px;
  height: 3px;
  border-radius: 50%;
  background: rgba(255, 255, 255, 0.5);
  z-index: 2;
  margin-top: 4px;
  -webkit-animation: ball 0.45s cubic-bezier(0, 0, 0.15, 1) alternate infinite;
          animation: ball 0.45s cubic-bezier(0, 0, 0.15, 1) alternate infinite;
  margin-left: 7px;
  -webkit-animation-delay: .3s;
          animation-delay: .3s;
}

.chat {
  position: relative;
  height: 80vh;
  max-height: 500px;
  z-index: 2;
  overflow-y: auto;
  background: #f5f5f5;
  border-radius: 20px;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -webkit-justify-content: space-between;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
      -ms-flex-direction: column;
          flex-direction: column;
}

.chat-title {
  -webkit-box-flex: 0;
  -webkit-flex: 0 1 45px;
      -ms-flex: 0 1 45px;
          flex: 0 1 45px;
  position: relative;
  z-index: 2;
  background: #212d47;
  color: #fff;
  text-transform: uppercase;
  text-align: left;
  padding: 10px 10px 10px 50px;
}
.chat-title h1, .chat-title h2 {
  font-weight: normal;
  font-size: 12px;
  font-weight: 300;
  margin: 0;
  padding: 0;
}
.chat-title h2 {
  color: rgba(255, 255, 255, 0.5);
  font-size: 10px;
  font-weight: 300;
  letter-spacing: 1px;
}
.chat-title .avatar {
  position: absolute;
  z-index: 1;
  top: 8px;
  left: 9px;
  border-radius: 30px;
  width: 30px;
  height: 30px;
  overflow: hidden;
  margin: 0;
  padding: 0;
  border: 2px solid rgba(255, 255, 255, 0.24);
}
.chat-title .avatar img {
  width: 100%;
  height: auto;
}
.message-box {
  -webkit-box-flex: 0;
  -webkit-flex: 0 1 40px;
      -ms-flex: 0 1 40px;
          flex: 0 1 40px;
  width: 100%;
  background: #0076f7;
  padding: 10px;
  position: relative;
}
.message-box .message-input {
  background: none;
  border: none;
  outline: none !important;
  resize: none;
  color: rgba(255, 255, 255, 0.7);
  font-size: 11px;
  height: 17px;
  margin: 0;
  padding-right: 20px;
  width: 93%;
}
.message-box input:focus:-webkit-placeholder {
  color: transparent;
}
.message-box .message-submit {
  position: absolute;
  z-index: 1;
  top: 9px;
  right: 10px;
  color: #fff;
  border: none;
  background: #fec81e;
  font-size: 10px;
  text-transform: uppercase;
  line-height: 1;
  padding: 6px 10px;
  border-radius: 10px;
  outline: none !important;
  -webkit-transition: background .2s ease;
  transition: all .2s ease;
}
.message-box .message-submit:hover {
 opacity: .9;
}